Package org.apache.felix.utils.manifest

# Class Parser

java.lang.Object
org.apache.felix.utils.manifest.Parser

public final class Parser extends Object

## Method Summary

Modifier and Type
Method
Description
`static Clause[]`
`parseClauses(String[] ss)`
`static String[]`
`parseDelimitedString(String value, String delim)`
Parses delimited string and returns an array containing the tokens.
`static Clause[]`
`parseHeader(String header)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### parseHeader

public static Clause[] parseHeader(String header) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### parseClauses

public static Clause[] parseClauses(String[] ss) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### parseDelimitedString

public static String[] parseDelimitedString(String value, String delim)
Parses delimited string and returns an array containing the tokens. This parser obeys quotes, so the delimiter character will be ignored if it is inside of a quote. This method assumes that the quote character is not included in the set of delimiter characters.

Parameters:
  `value` - the delimited string to parse.
  `delim` - the characters delimiting the tokens.
Returns:
  an array of string tokens or null if there were no tokens.